# Éviter les travaux routiers

De plus en plus, les autorités gouvernementales en transport rendent disponibles des données ouvertes sur les travaux routiers et les entraves à la circulation sur leur site web.

Nous pouvons utiliser ces données, souvent disponibles au format GeoJSON, pour concevoir une carte personnalisée pour notre parcours de voyage et pouvoir les éviter le plus possible sur notre parcours. Le téléchargement peut aisément se faire sur une base quotidienne avec `bash`, tel que nous l'avons vu précédemment.

Pour manipuler ces données, le langage de programmation R et sa puissante librairie géospatiale `sf` contiennent tout ce qu'il faut pour effectuer le traitement des données.

Ensuite, pour produire une carte, la librairie `leaflet` contient tout ce qu'il faut pour produire une carte interactive qui fonctionnera même hors-ligne !

![Une carte Leaflet personnalisée avec les travaux routiers du Québec créée avec R](Images/travaux_routiers_leaflet.png)
